#Light-up Aquarium Code
import board, time, pygame, digitalio, neopixel
from adafruit_debouncer import Debouncer

yellow_button_input = digitalio.DigitalInOut(board.D23)
yellow_button_input.switch_to_input(pull=digitalio.Pull.UP)
yellow_button = Debouncer(yellow_button_input)

red_button_input = digitalio.DigitalInOut(board.D24)
red_button_input.switch_to_input(pull=digitalio.Pull.UP)
red_button = Debouncer(red_button_input)

strip_pin = board.D18
strip_num_of_lights = 30
strip = neopixel.NeoPixel(strip_pin, strip_num_of_lights, brightness = 1, auto_write = True)

path = "/home/pi/aquarium_sounds/"
sound_files = ["Wellerman Audio.mp3", "Spongebob Audio.mp3"]

pygame.mixer.init()
music = pygame.mixer.music
speaker_volume = .99
music.set_volume(speaker_volume)

BLUE = (0,0,255)
YELLOW = (255,150,0)
RED = (255,0,0)
BLACK = (0,0,0)

while True:
    yellow_button.update()
    red_button.update()
    if yellow_button.fell:
        print("yellow button pressed")
        if music.get_busy():
            music.stop()
        else:
            music.load(path + sound_files[1])
            music.play()
            while music.get_busy() == True:
                continue
                #this is where we play the yellow and blue animation
    if red_button.fell:
        print("red button pressed")
        if music.get_busy():
            music.stop()
        else:
            music.load(path + sound_files[0])
            music.play()
            while music.get_busy() == True:
                continue
                #this is where we play the red and blue animation
